Upstream information

CVE-2016-6313 at MITRE

Description

The mixing functions in the random number generator in Libgcrypt before 1.5.6, 1.6.x before 1.6.6, and 1.7.x before 1.7.3 and GnuPG before 1.4.21 make it easier for attackers to obtain the values of 160 bits by leveraging knowledge of the previous 4640 bits.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 5 2.6
Vector AV:N/AC:L/Au:N/C:P/I:N/A:N AV:N/AC:H/Au:N/C:P/I:N/A:N
Access Vector Network Network
Access Complexity Low High
Authentication None None
Confidentiality Impact Partial Partial
Integrity Impact None None
Availability Impact None None
CVSS v3 Scores
  National Vulnerability Database
Base Score 5.3
Vector AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N
Access Vector Network
Access Complexity Low
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact Low
Integrity Impact None
Availability Impact None
SUSE Bugzilla entry: 994157 [RESOLVED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP1
  • libgcrypt >= 1.6.1-16.33.1
  • libgcrypt20 >= 1.6.1-16.33.1
  • libgcrypt20-32bit >= 1.6.1-16.33.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP1-2016-1370
SUSE Linux Enterprise Desktop 12 SP2
  • libgcrypt20 >= 1.6.1-16.33.1
  • libgcrypt20-32bit >= 1.6.1-16.33.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA libgcrypt20
SUSE Linux Enterprise Desktop 12 SP3
  • libgcrypt20 >= 1.6.1-16.39.1
  • libgcrypt20-32bit >= 1.6.1-16.39.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA libgcrypt20
SUSE Linux Enterprise Desktop 12 SP4
  • libgcrypt20 >= 1.6.1-16.61.1
  • libgcrypt20-32bit >= 1.6.1-16.61.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP4 GA libgcrypt20
SUSE Linux Enterprise Module for Basesystem 15
  • libgcrypt-devel >= 1.8.2-4.5
  • libgcrypt20 >= 1.8.2-4.5
  • libgcrypt20-32bit >= 1.8.2-4.5
  • libgcrypt20-hmac >= 1.8.2-4.5
  • libgcrypt20-hmac-32bit >= 1.8.2-4.5
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA libgcrypt-devel
SUSE Linux Enterprise Module for Containers 12
  • sles12-docker-image >= 1.1.4-20171002
  • sles12sp1-docker-image >= 1.0.7-20171002
Patchnames:
SUSE-SLE-Module-Containers-12-2017-1672
SUSE-SLE-Module-Containers-12-2017-1673
SUSE Linux Enterprise Server 11 SP4
  • libgcrypt >= 1.5.0-0.22.1
  • libgcrypt11 >= 1.5.0-0.22.1
  • libgcrypt11-32bit >= 1.5.0-0.22.1
  • libgcrypt11-x86 >= 1.5.0-0.22.1
Patchnames:
slessp4-libgcrypt-12753
SUSE Linux Enterprise Server 12 SP1
  • libgcrypt >= 1.6.1-16.33.1
  • libgcrypt20 >= 1.6.1-16.33.1
  • libgcrypt20-32bit >= 1.6.1-16.33.1
  • libgcrypt20-hmac >= 1.6.1-16.33.1
  • libgcrypt20-hmac-32bit >= 1.6.1-16.33.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2016-1370
SUSE Linux Enterprise Server 12 SP2
  • libgcrypt20 >= 1.6.1-16.33.1
  • libgcrypt20-32bit >= 1.6.1-16.33.1
  • libgcrypt20-hmac >= 1.6.1-16.33.1
  • libgcrypt20-hmac-32bit >= 1.6.1-16.33.1
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA libgcrypt20
SUSE Linux Enterprise Server 12 SP3
  • libgcrypt20 >= 1.6.1-16.39.1
  • libgcrypt20-32bit >= 1.6.1-16.39.1
  • libgcrypt20-hmac >= 1.6.1-16.39.1
  • libgcrypt20-hmac-32bit >= 1.6.1-16.39.1
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA libgcrypt20
SUSE Linux Enterprise Server 12 SP4
  • libgcrypt20 >= 1.6.1-16.61.1
  • libgcrypt20-32bit >= 1.6.1-16.61.1
  • libgcrypt20-hmac >= 1.6.1-16.61.1
  • libgcrypt20-hmac-32bit >= 1.6.1-16.61.1
Patchnames:
SUSE Linux Enterprise Server 12 SP4 GA libgcrypt20
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libgcrypt20 >= 1.6.1-16.33.1
  • libgcrypt20-hmac >= 1.6.1-16.33.1
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA libgcrypt20
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • libgcrypt >= 1.5.0-0.22.1
  • libgcrypt11 >= 1.5.0-0.22.1
  • libgcrypt11-32bit >= 1.5.0-0.22.1
  • libgcrypt11-x86 >= 1.5.0-0.22.1
Patchnames:
slessp4-libgcrypt-12753
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • libgcrypt >= 1.6.1-16.33.1
  • libgcrypt20 >= 1.6.1-16.33.1
  • libgcrypt20-32bit >= 1.6.1-16.33.1
  • libgcrypt20-hmac >= 1.6.1-16.33.1
  • libgcrypt20-hmac-32bit >= 1.6.1-16.33.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2016-1370
SUSE Linux Enterprise Software Development Kit 11 SP4
  • libgcrypt >= 1.5.0-0.22.1
  • libgcrypt-devel >= 1.5.0-0.22.1
  • libgcrypt-devel-32bit >= 1.5.0-0.22.1
Patchnames:
sdksp4-libgcrypt-12753
SUSE Linux Enterprise Software Development Kit 12 SP1
  • libgcrypt >= 1.6.1-16.33.1
  • libgcrypt-devel >= 1.6.1-16.33.1
Patchnames:
SUSE-SLE-SDK-12-SP1-2016-1370
SUSE Linux Enterprise Software Development Kit 12 SP2
  • libgcrypt-devel >= 1.6.1-16.33.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA libgcrypt-devel
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libgcrypt-devel >= 1.6.1-16.39.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA libgcrypt-devel
SUSE Linux Enterprise Software Development Kit 12 SP4
  • libgcrypt-devel >= 1.6.1-16.61.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP4 GA libgcrypt-devel
openSUSE Leap 15.0
  • libgcrypt20 >= 1.8.2-lp150.4.2
  • libgcrypt20-32bit >= 1.8.2-lp150.4.2
Patchnames:
openSUSE Leap 15.0 GA libgcrypt20
openSUSE Leap 42.1
  • libgcrypt >= 1.6.1-32.1
  • libgcrypt-cavs >= 1.6.1-32.1
  • libgcrypt-cavs-debuginfo >= 1.6.1-32.1
  • libgcrypt-debugsource >= 1.6.1-32.1
  • libgcrypt-devel >= 1.6.1-32.1
  • libgcrypt-devel-32bit >= 1.6.1-32.1
  • libgcrypt-devel-debuginfo >= 1.6.1-32.1
  • libgcrypt-devel-debuginfo-32bit >= 1.6.1-32.1
  • libgcrypt20 >= 1.6.1-32.1
  • libgcrypt20-32bit >= 1.6.1-32.1
  • libgcrypt20-debuginfo >= 1.6.1-32.1
  • libgcrypt20-debuginfo-32bit >= 1.6.1-32.1
  • libgcrypt20-hmac >= 1.6.1-32.1
  • libgcrypt20-hmac-32bit >= 1.6.1-32.1
Patchnames:
openSUSE-2016-1138
openSUSE Leap 42.2
  • libgcrypt-devel >= 1.6.1-33.1
  • libgcrypt20 >= 1.6.1-33.1
  • libgcrypt20-32bit >= 1.6.1-33.1
Patchnames:
openSUSE Leap 42.2 GA libgcrypt-devel
openSUSE Leap 42.3
  • libgcrypt-devel >= 1.6.1-37.2
  • libgcrypt20 >= 1.6.1-37.2
  • libgcrypt20-32bit >= 1.6.1-37.2
Patchnames:
openSUSE Leap 42.3 GA libgcrypt-devel
openSUSE Tumbleweed
  • libgcrypt-cavs >= 1.7.3-1.3
  • libgcrypt-devel >= 1.7.3-1.3
  • libgcrypt-devel-32bit >= 1.7.3-1.3
  • libgcrypt20 >= 1.7.3-1.3
  • libgcrypt20-32bit >= 1.7.3-1.3
  • libgcrypt20-hmac >= 1.7.3-1.3
  • libgcrypt20-hmac-32bit >= 1.7.3-1.3
Patchnames:
openSUSE Tumbleweed GA libgcrypt-cavs


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 SP2 libgcrypt Released
SUSE Linux Enterprise Desktop 11 SP3 libgcrypt Released
SUSE Linux Enterprise Desktop 11 SP4 libgcrypt Released
SUSE Linux Enterprise Desktop 12 GA libgcrypt Released
SUSE Linux Enterprise Desktop 12 SP1 libgcrypt Released
SUSE Linux Enterprise Desktop 12 SP2 libgcrypt Released
SUSE Linux Enterprise Module for Legacy Software 12 compat-libgcrypt11 Already fixed
SUSE Linux Enterprise SDK 11 SP2 libgcrypt Released
SUSE Linux Enterprise SDK 11 SP3 libgcrypt Released
SUSE Linux Enterprise SDK 11 SP4 libgcrypt Released
SUSE Linux Enterprise SDK 12 GA libgcrypt Released
SUSE Linux Enterprise SDK 12 SP1 libgcrypt Released
SUSE Linux Enterprise SDK 12 SP2 libgcrypt Released
SUSE Linux Enterprise Server 10 SP4 LTSS gpg Released
SUSE Linux Enterprise Server 10 SP4 LTSS libgcrypt Released
SUSE Linux Enterprise Server 11 SP1 LTSS libgcrypt Released
SUSE Linux Enterprise Server 11 SP2 libgcrypt Released
SUSE Linux Enterprise Server 11 SP2 LTSS libgcrypt Released
SUSE Linux Enterprise Server 11 SP3 libgcrypt Released
SUSE Linux Enterprise Server 11 SP3 LTSS libgcrypt Released
SUSE Linux Enterprise Server 11 SP4 libgcrypt Released
SUSE Linux Enterprise Server 12 GA libgcrypt Released
SUSE Linux Enterprise Server 12 GA LTSS libgcrypt Released
SUSE Linux Enterprise Server 12 SP1 libgcrypt Released
SUSE Linux Enterprise Server 12 SP2 libgcrypt Released
SUSE Linux Enterprise Server for SAP Applications 11 SP2 libgcrypt Released
SUSE Linux Enterprise Server for VMWare 11 SP2 libgcrypt Released
SUSE Linux Enterprise Server for VMWare 11 SP3 libgcrypt Released